Name:           sl
Version:        5.02
Release:        3%{?dist}
Summary:        Joke command for when you type 'sl' instead of 'ls'
Group:          Amusements/Graphics
License:        Copyright only
URL:            https://github.com/mtoyoda/sl
Source0:        https://github.com/mtoyoda/sl/archive/%{version}/sl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ncurses-devel libtermcap-devel

# Copyright file is taken from the Debian project
# http://packages.debian.org/changelogs/pool/main/s/sl/sl_3.03-14/sl.copyright
# and has been confirmed with the original author.

%description
The sl (Steam Locomotive) command is a joke which displays a train on your
terminal when you accidentally type 'sl' instead of 'ls'.


%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m0755 sl %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m644 sl.1 %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_mandir}/ja/man1
install -p -m644 sl.1.ja %{buildroot}%{_mandir}/ja/man1/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.ja.md README.md LICENSE
%{_mandir}/ja/man1/*
%{_mandir}/man1/*
%{_bindir}/sl


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 05 2014 Matej Cepl <mcepl@redhat.com> - 5.02-1
- Update to the new upstream (and new build system; #1170931)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 27 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-11
- Rebuilt for glibc bug#747377

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.03-7
- fix license tag (Freely redistributable without restriction is only
  for firmware)

* Sun Oct 26 2008 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-6
- Moved man file to japanese language directory

* Sat Oct 25 2008 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-5
- Cleanup of spec file

* Wed Oct 15 2008 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-4
- Cleanup of spec file

* Wed Oct 15 2008 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-3
- Update Licence
- Update COPYRIGHT to include statement from author confirming licence
- Full statement may be found at the following URL
- http://marcbradshaw.co.uk/packages/review/sl/sl-license-mail.txt

* Thu Aug 09 2007 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-2
- Clean of spec file

* Thu Jul 12 2007 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-1
- Initial package release
